Composer keeps ReInstalling my Drupal/Core v9.1.2

I am new to administering Drupal. Not sure where to ask for help.

https://github.com/composer/composer/issues/9597

I have a problem in that I manually updated my Drupal9 install to v9.1.2 and it seems to be working fine. Now I need to enable a module: “real_aes” but it requires a dependency: “defuse/php-encryption”.

I attempted to install it using composer but composer tries to update my Drupal Core to v9.1.2 again and then my Drupal is broken, and I have to restore from backups.

Any help would be greatly appreciated!

Thank you.
-Ben